Package ru.nilsoft.tm

# Class TMCommand.commands

java.lang.Object
ru.nilsoft.tm.TMCommand.commands

Enclosing class:
  `TMCommand`

public static final class TMCommand.commands extends Object
Коды команд фискального регистратора.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final byte`
  `CM_Bar2Dprepare`
  Подготовка к печати 2D штрихкода (QR или PDF417).
  `static final byte`
  `CM_Bar2Dprint`
  Печать 2D штрихкода (QR или PDF417).
  `static final byte`
  `CM_Certification`
  Сертификация (установка серийного номера КФН).
  `static final byte`
  `CM_CmdFNGroupBx`
  Команда для поддержки ТС Пиот (доступ к командам ФН 0xB1, 0xB2, 0xB5, 0xB6).
  `static final byte`
  `CM_CmdServiceMode`
  Команда для выполнения сервисных команд (аналог работы из сервисного монитора).
  `static final byte`
  `CM_Correction`
  Чек коррекции.
  `static final byte`
  `CM_EJErase`
  Очистка электронного журнала.
  `static final byte`
  `CM_EJGetParam`
  Запрос параметров электронного журнала.
  `static final byte`
  `CM_EJNoDoc`
  Документ по номеру из электронного журнала.
  `static final byte`
  `CM_EJNoReport`
  Отчет по номерам документов из электронного журнала.
  `static final byte`
  `CM_EJPrint`
  Отчета смены из электронного журнала.
  `static final byte`
  `CM_EJReadPage`
  Чтение страницы журнала.
  `static final byte`
  `CM_EJShiftCloseReport`
  Печать "Отчёта закрытия смены" из РПКУ.
  `static final byte`
  `CM_EJTimeReport`
  Отчет по времени из электронного журнала.
  `static final byte`
  `CM_FNClose`
  Закрытие ФН.
  `static final byte`
  `CM_FNGetCommStatus`
  Получить из ФН статус обмена c ОФД.
  `static final byte`
  `CM_FNGetDoc`
  Документ по номеру из ФН.
  `static final byte`
  `CM_FNGetError`
  Получить последнюю ошибку ФН.
  `static final byte`
  `CM_FNGetRegParam`
  Получить параметр регистрации.
  `static final byte`
  `CM_FNGetStatus`
  Получение статуса ФН.
  `static final byte`
  `CM_FNGetTotal`
  Получить итоги фискализации ФН.
  `static final byte`
  `CM_FNRead`
  Чтение части документа из КФН.
  `static final byte`
  `CM_FNReadCancel`
  Отмена чтения документа из КФН.
  `static final byte`
  `CM_FNReadClose`
  Завершение чтения документа из КФН.
  `static final byte`
  `CM_FNReadOpen`
  Начать чтение документа из КФН для отправки в ОФД.
  `static final byte`
  `CM_FNSetCommStatus`
  Установить в ФН статус обмена c ОФД.
  `static final byte`
  `CM_FNWriteScript`
  Сохранение квитанции полученой из ОФД в КФН.
  `static final byte`
  `CM_FromCash`
  Выплата/инкассация из денежного ящика.
  `static final byte`
  `CM_GetCurCounters`
  Получение текущих номеров документов.
  `static final byte`
  `CM_GetDateTime`
  Получение даты/времени из КФН.
  `static final byte`
  `CM_GetDepart`
  Получение названий отделов.
  `static final byte`
  `CM_GetDocCounters`
  Запрос счетчиков документов.
  `static final byte`
  `CM_GetHeader`
  Чтение загловка.
  `static final byte`
  `CM_GetInfo`
  Получение информации об контроллере ФН.
  `static final byte`
  `CM_GetMoney`
  Денежные счетчики (электронный отчёт).
  `static final byte`
  `CM_GetParameters`
  Получение данных настройки КФН
  `static final byte`
  `CM_GetParams`
  Получение параметров документов.
  `static final byte`
  `CM_GetPayment`
  Получение параметров типов платежей.
  `static final byte`
  `CM_GetResources`
  Получение информации о ресурсах.
  `static final byte`
  `CM_GetSerialNo`
  Получение заводского номера КФН
  `static final byte`
  `CM_GetTail`
  Чтение окончания чека.
  `static final byte`
  `CM_GetTaxes`
  Получение типов налогов.
  `static final byte`
  `CM_GetWaitDocs`
  Запрос количество документов ожидающих отправку на ОФД.
  `static final byte`
  `CM_KMCheck`
  Передать код маркировки для проверки в ФН.
  `static final byte`
  `CM_KMClean`
  Очистить КМ.
  `static final byte`
  `CM_KMGetStatus`
  Запрос статуса КМ.
  `static final byte`
  `CM_KMNotifCreate`
  Создать уведомление КМ.
  `static final byte`
  `CM_KMOISMResp`
  Отправить ответ ОИСМ в ФН.
  `static final byte`
  `CM_KMSaveResult`
  Сохранить результаты проверки КМ (Подтвердить КМ).
  `static final byte`
  `CM_KMTransfer`
  Передача КМ.
  `static final byte`
  `CM_NonFiscalClose`
  Закрытие отчётного документа на чековой ленте.
  `static final byte`
  `CM_NonFiscalFree`
  Печать произвольного нефискального чека (для ИРАС используется как пустая команда).
  `static final byte`
  `CM_NonFiscalLine`
  Печать строки отчёта на чековой ленте.
  `static final byte`
  `CM_NonFiscalLines`
  Печать строк отчёта на чековой ленте.
  `static final byte`
  `CM_NonFiscalOpen`
  Начало формирования отчётного документа на чековой ленте.
  `static final byte`
  `CM_NotifAutoConfirm`
  Подтвердить выгрузку уведомления или получить информацию по неподтверждённым уведомлениям (для автономного режима).
  `static final byte`
  `CM_NotifAutoNext`
  Перейти к следующему уведомлению, или получить параметры текущего уведомления (для автономного режима).
  `static final byte`
  `CM_NotifAutoReadData`
  Прочитать блок данных текущего уведомления (для автономного режима).
  `static final byte`
  `CM_NotifAutoReadStart`
  Начать сессию выгрузки уведомлений или получить состояние текущей сессии (для автономного режима).
  `static final byte`
  `CM_NotifGetStatus`
  Получить состояние по передачи уведомлений.
  `static final byte`
  `CM_NotifRead`
  Прочитать блок данных уведомления.
  `static final byte`
  `CM_NotifReadCancel`
  Отменить чтение уведомления.
  `static final byte`
  `CM_NotifReadClose`
  Завершить чтение уведомления.
  `static final byte`
  `CM_NotifReadOpen`
  Начать чтение уведомления.
  `static final byte`
  `CM_NotifWriteReceipt`
  Передать квитанцию на уведомление.
  `static final byte`
  `CM_OFDGetInfoUrl`
  Получение адреса проверки чека на ОФД.
  `static final byte`
  `CM_OFDGetParam`
  Получение параметров соединения с ОФД.
  `static final byte`
  `CM_OFDGetPaymentState`
  Отчет о текущем состоянии расчетов.
  `static final byte`
  `CM_OFDGetTicket`
  Запрос квитанции ОФД из ФН.
  `static final byte`
  `CM_OFDSetInfoUrl`
  Установка адреса проверки чека на ОФД.
  `static final byte`
  `CM_OFDSetParam`
  Установка параметров соединения с ОФД.
  `static final byte`
  `CM_OnOffUPD`
  Включение/выключение встроенного УПД.
  `static final byte`
  `CM_PrintHeader`
  Печать заголовка.
  `static final byte`
  `CM_ProgramPassword`
  Программирование пароля передачи данных.
  `static final byte`
  `CM_ReceiptAddTLV`
  Добавление TLV структуры в документ.
  `static final byte`
  `CM_ReceiptBarcode`
  Добавление штрихкода в чек.
  `static final byte`
  `CM_ReceiptCancel`
  Отмена чека.
  `static final byte`
  `CM_ReceiptClose`
  Закрыть чек.
  `static final byte`
  `CM_ReceiptComission`
  Добавление скидки/наценки.
  `static final byte`
  `CM_ReceiptComment`
  Добавление комментария в чек.
  `static final byte`
  `CM_ReceiptFree`
  Универсальный фискальный документ (чек).
  `static final byte`
  `CM_ReceiptItem`
  Добавить позицию товара.
  `static final byte`
  `CM_ReceiptOpen`
  Открыть фискальный чек.
  `static final byte`
  `CM_ReceiptSubtotal`
  Промежуточный расчет суммы.
  `static final byte`
  `CM_ReceiptTax`
  Налоговая ставка (возвращает значение сумматоров по выбранному индексу налога).
  `static final byte`
  `CM_ReceiptTender`
  Получение оплаты.
  `static final byte`
  `CM_ReceiptTotal`
  Расчет суммы чека.
  `static final byte`
  `CM_Registration`
  Регистрация/перерегистрация ФН.
  `static final byte`
  `CM_ReportDep`
  Отчет по отделам.
  `static final byte`
  `CM_ReportExt`
  Получить электронный отчёт (расширенный).
  `static final byte`
  `CM_ReportPayment`
  Получить электронный отчёт по видам оплат.
  `static final byte`
  `CM_ServiceUpdateKeys`
  Сервис обновления ключей проверки в ФН.
  `static final byte`
  `CM_SetDateTime`
  Установка дата/времени КФН.
  `static final byte`
  `CM_SetDepart`
  Установка названий отделов.
  `static final byte`
  `CM_SetGraphHeader`
  Установка графического заголовка.
  `static final byte`
  `CM_SetHeader`
  Установка заголовка.
  `static final byte`
  `CM_SetHeaderExt`
  Установка заголовка (расширенная).
  `static final byte`
  `CM_SetParams`
  Установка параметров документов.
  `static final byte`
  `CM_SetPayment`
  Установка параметров типов платежей.
  `static final byte`
  `CM_SetTail`
  Установка окончания чека.
  `static final byte`
  `CM_SetTaxes`
  Установка типов налогов (всегда возвращает ошибку).
  `static final byte`
  `CM_Setup`
  Установка данных настройки КФН
  `static final byte`
  `CM_ShiftClose`
  Отчет закрытия смены.
  `static final byte`
  `CM_ShiftOpen`
  Открыть смену.
  `static final byte`
  `CM_ShiftReport`
  Отчет о текущем состоянии смены.
  `static final byte`
  `CM_Sleep`
  Переход в спящий режим (возврат любой командой).
  `static final byte`
  `CM_Start`
  Начать сессию.
  `static final byte`
  `CM_StartMonitor`
  Перевод КФН в сервисный режим.
  `static final byte`
  `CM_TCPGetParam`
  Получение параметров TCP соединения с ОФД.
  `static final byte`
  `CM_TCPSetParam`
  Установка параметров TCP соединения с ОФД.
  `static final byte`
  `CM_ToCash`
  Внесение денег в денежный ящик.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `commands()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CM_Start

    public static final byte CM_Start
    Начать сессию.
    See Also:
      - Constant Field Values

  - ### CM_ShiftOpen

    public static final byte CM_ShiftOpen
    Открыть смену.
    See Also:
      - Constant Field Values

  - ### CM_GetResources

    public static final byte CM_GetResources
    Получение информации о ресурсах.
    See Also:
      - Constant Field Values

  - ### CM_Registration

    public static final byte CM_Registration
    Регистрация/перерегистрация ФН.
    See Also:
      - Constant Field Values

  - ### CM_ReceiptOpen

    public static final byte CM_ReceiptOpen
    Открыть фискальный чек.
    See Also:
      - Constant Field Values

  - ### CM_ReceiptItem

    public static final byte CM_ReceiptItem
    Добавить позицию товара.
    See Also:
      - Constant Field Values

  - ### CM_ReceiptTotal

    public static final byte CM_ReceiptTotal
    Расчет суммы чека.
    See Also:
      - Constant Field Values

  - ### CM_ReceiptTender

    public static final byte CM_ReceiptTender
    Получение оплаты.
    See Also:
      - Constant Field Values

  - ### CM_ReceiptClose

    public static final byte CM_ReceiptClose
    Закрыть чек.
    See Also:
      - Constant Field Values

  - ### CM_ReceiptComission

    public static final byte CM_ReceiptComission
    Добавление скидки/наценки.
    See Also:
      - Constant Field Values

  - ### CM_ReceiptSubtotal

    public static final byte CM_ReceiptSubtotal
    Промежуточный расчет суммы.
    See Also:
      - Constant Field Values

  - ### CM_ReceiptCancel

    public static final byte CM_ReceiptCancel
    Отмена чека.
    See Also:
      - Constant Field Values

  - ### CM_ReceiptBarcode

    public static final byte CM_ReceiptBarcode
    Добавление штрихкода в чек.
    See Also:
      - Constant Field Values

  - ### CM_ReceiptTax

    public static final byte CM_ReceiptTax
    Налоговая ставка (возвращает значение сумматоров по выбранному индексу налога).
    See Also:
      - Constant Field Values

  - ### CM_ReceiptComment

    public static final byte CM_ReceiptComment
    Добавление комментария в чек.
    See Also:
      - Constant Field Values

  - ### CM_PrintHeader

    public static final byte CM_PrintHeader
    Печать заголовка.
    See Also:
      - Constant Field Values

  - ### CM_Bar2Dprepare

    public static final byte CM_Bar2Dprepare
    Подготовка к печати 2D штрихкода (QR или PDF417).
    See Also:
      - Constant Field Values

  - ### CM_Bar2Dprint

    public static final byte CM_Bar2Dprint
    Печать 2D штрихкода (QR или PDF417).
    See Also:
      - Constant Field Values

  - ### CM_KMGetStatus

    public static final byte CM_KMGetStatus
    Запрос статуса КМ.
    See Also:
      - Constant Field Values

  - ### CM_KMTransfer

    public static final byte CM_KMTransfer
    Передача КМ.
    See Also:
      - Constant Field Values

  - ### CM_KMSaveResult

    public static final byte CM_KMSaveResult
    Сохранить результаты проверки КМ (Подтвердить КМ).
    See Also:
      - Constant Field Values

  - ### CM_KMClean

    public static final byte CM_KMClean
    Очистить КМ.
    See Also:
      - Constant Field Values

  - ### CM_KMNotifCreate

    public static final byte CM_KMNotifCreate
    Создать уведомление КМ.
    See Also:
      - Constant Field Values

  - ### CM_KMOISMResp

    public static final byte CM_KMOISMResp
    Отправить ответ ОИСМ в ФН.
    See Also:
      - Constant Field Values

  - ### CM_KMCheck

    public static final byte CM_KMCheck
    Передать код маркировки для проверки в ФН.
    See Also:
      - Constant Field Values

  - ### CM_NotifGetStatus

    public static final byte CM_NotifGetStatus
    Получить состояние по передачи уведомлений.
    See Also:
      - Constant Field Values

  - ### CM_NotifReadOpen

    public static final byte CM_NotifReadOpen
    Начать чтение уведомления.
    See Also:
      - Constant Field Values

  - ### CM_NotifRead

    public static final byte CM_NotifRead
    Прочитать блок данных уведомления.
    See Also:
      - Constant Field Values

  - ### CM_NotifReadCancel

    public static final byte CM_NotifReadCancel
    Отменить чтение уведомления.
    See Also:
      - Constant Field Values

  - ### CM_NotifReadClose

    public static final byte CM_NotifReadClose
    Завершить чтение уведомления.
    See Also:
      - Constant Field Values

  - ### CM_NotifWriteReceipt

    public static final byte CM_NotifWriteReceipt
    Передать квитанцию на уведомление.
    See Also:
      - Constant Field Values

  - ### CM_FNGetStatus

    public static final byte CM_FNGetStatus
    Получение статуса ФН.
    See Also:
      - Constant Field Values

  - ### CM_FNGetError

    public static final byte CM_FNGetError
    Получить последнюю ошибку ФН.
    See Also:
      - Constant Field Values

  - ### CM_FNGetCommStatus

    public static final byte CM_FNGetCommStatus
    Получить из ФН статус обмена c ОФД.
    See Also:
      - Constant Field Values

  - ### CM_ShiftReport

    public static final byte CM_ShiftReport
    Отчет о текущем состоянии смены.
    See Also:
      - Constant Field Values

  - ### CM_ShiftClose

    public static final byte CM_ShiftClose
    Отчет закрытия смены.
    See Also:
      - Constant Field Values

  - ### CM_ToCash

    public static final byte CM_ToCash
    Внесение денег в денежный ящик.
    See Also:
      - Constant Field Values

  - ### CM_FromCash

    public static final byte CM_FromCash
    Выплата/инкассация из денежного ящика.
    See Also:
      - Constant Field Values

  - ### CM_GetMoney

    public static final byte CM_GetMoney
    Денежные счетчики (электронный отчёт).
    See Also:
      - Constant Field Values

  - ### CM_GetCurCounters

    public static final byte CM_GetCurCounters
    Получение текущих номеров документов.
    See Also:
      - Constant Field Values

  - ### CM_ReportPayment

    public static final byte CM_ReportPayment
    Получить электронный отчёт по видам оплат.
    See Also:
      - Constant Field Values

  - ### CM_ReportExt

    public static final byte CM_ReportExt
    Получить электронный отчёт (расширенный).
    See Also:
      - Constant Field Values

  - ### CM_ReportDep

    public static final byte CM_ReportDep
    Отчет по отделам.
    See Also:
      - Constant Field Values

  - ### CM_GetWaitDocs

    public static final byte CM_GetWaitDocs
    Запрос количество документов ожидающих отправку на ОФД.
    See Also:
      - Constant Field Values

  - ### CM_OFDGetTicket

    public static final byte CM_OFDGetTicket
    Запрос квитанции ОФД из ФН.
    See Also:
      - Constant Field Values

  - ### CM_OFDGetPaymentState

    public static final byte CM_OFDGetPaymentState
    Отчет о текущем состоянии расчетов.
    See Also:
      - Constant Field Values

  - ### CM_Correction

    public static final byte CM_Correction
    Чек коррекции.
    See Also:
      - Constant Field Values

  - ### CM_GetDocCounters

    public static final byte CM_GetDocCounters
    Запрос счетчиков документов.
    See Also:
      - Constant Field Values

  - ### CM_ProgramPassword

    public static final byte CM_ProgramPassword
    Программирование пароля передачи данных.
    See Also:
      - Constant Field Values

  - ### CM_SetHeader

    public static final byte CM_SetHeader
    Установка заголовка.
    See Also:
      - Constant Field Values

  - ### CM_SetDateTime

    public static final byte CM_SetDateTime
    Установка дата/времени КФН.
    See Also:
      - Constant Field Values

  - ### CM_GetDateTime

    public static final byte CM_GetDateTime
    Получение даты/времени из КФН.
    See Also:
      - Constant Field Values

  - ### CM_SetTail

    public static final byte CM_SetTail
    Установка окончания чека.
    See Also:
      - Constant Field Values

  - ### CM_EJGetParam

    public static final byte CM_EJGetParam
    Запрос параметров электронного журнала.
    See Also:
      - Constant Field Values

  - ### CM_SetPayment

    public static final byte CM_SetPayment
    Установка параметров типов платежей.
    See Also:
      - Constant Field Values

  - ### CM_GetPayment

    public static final byte CM_GetPayment
    Получение параметров типов платежей.
    See Also:
      - Constant Field Values

  - ### CM_SetParams

    public static final byte CM_SetParams
    Установка параметров документов.
    See Also:
      - Constant Field Values

  - ### CM_GetParams

    public static final byte CM_GetParams
    Получение параметров документов.
    See Also:
      - Constant Field Values

  - ### CM_SetHeaderExt

    public static final byte CM_SetHeaderExt
    Установка заголовка (расширенная).
    See Also:
      - Constant Field Values

  - ### CM_SetGraphHeader

    public static final byte CM_SetGraphHeader
    Установка графического заголовка.
    See Also:
      - Constant Field Values

  - ### CM_GetHeader

    public static final byte CM_GetHeader
    Чтение загловка.
    See Also:
      - Constant Field Values

  - ### CM_GetTail

    public static final byte CM_GetTail
    Чтение окончания чека.
    See Also:
      - Constant Field Values

  - ### CM_NonFiscalOpen

    public static final byte CM_NonFiscalOpen
    Начало формирования отчётного документа на чековой ленте.
    See Also:
      - Constant Field Values

  - ### CM_NonFiscalLine

    public static final byte CM_NonFiscalLine
    Печать строки отчёта на чековой ленте.
    See Also:
      - Constant Field Values

  - ### CM_NonFiscalClose

    public static final byte CM_NonFiscalClose
    Закрытие отчётного документа на чековой ленте.
    See Also:
      - Constant Field Values

  - ### CM_NonFiscalLines

    public static final byte CM_NonFiscalLines
    Печать строк отчёта на чековой ленте.
    See Also:
      - Constant Field Values

  - ### CM_SetTaxes

    public static final byte CM_SetTaxes
    Установка типов налогов (всегда возвращает ошибку).
    See Also:
      - Constant Field Values

  - ### CM_GetTaxes

    public static final byte CM_GetTaxes
    Получение типов налогов.
    See Also:
      - Constant Field Values

  - ### CM_FNReadOpen

    public static final byte CM_FNReadOpen
    Начать чтение документа из КФН для отправки в ОФД.
    See Also:
      - Constant Field Values

  - ### CM_FNRead

    public static final byte CM_FNRead
    Чтение части документа из КФН.
    See Also:
      - Constant Field Values

  - ### CM_FNReadCancel

    public static final byte CM_FNReadCancel
    Отмена чтения документа из КФН.
    See Also:
      - Constant Field Values

  - ### CM_FNReadClose

    public static final byte CM_FNReadClose
    Завершение чтения документа из КФН.
    See Also:
      - Constant Field Values

  - ### CM_FNWriteScript

    public static final byte CM_FNWriteScript
    Сохранение квитанции полученой из ОФД в КФН.
    See Also:
      - Constant Field Values

  - ### CM_FNSetCommStatus

    public static final byte CM_FNSetCommStatus
    Установить в ФН статус обмена c ОФД.
    See Also:
      - Constant Field Values

  - ### CM_SetDepart

    public static final byte CM_SetDepart
    Установка названий отделов.
    See Also:
      - Constant Field Values

  - ### CM_GetDepart

    public static final byte CM_GetDepart
    Получение названий отделов.
    See Also:
      - Constant Field Values

  - ### CM_ReceiptAddTLV

    public static final byte CM_ReceiptAddTLV
    Добавление TLV структуры в документ.
    See Also:
      - Constant Field Values

  - ### CM_OnOffUPD

    public static final byte CM_OnOffUPD
    Включение/выключение встроенного УПД.
    See Also:
      - Constant Field Values

  - ### CM_OFDSetParam

    public static final byte CM_OFDSetParam
    Установка параметров соединения с ОФД.
    See Also:
      - Constant Field Values

  - ### CM_OFDGetParam

    public static final byte CM_OFDGetParam
    Получение параметров соединения с ОФД.
    See Also:
      - Constant Field Values

  - ### CM_TCPSetParam

    public static final byte CM_TCPSetParam
    Установка параметров TCP соединения с ОФД.
    See Also:
      - Constant Field Values

  - ### CM_TCPGetParam

    public static final byte CM_TCPGetParam
    Получение параметров TCP соединения с ОФД.
    See Also:
      - Constant Field Values

  - ### CM_OFDSetInfoUrl

    public static final byte CM_OFDSetInfoUrl
    Установка адреса проверки чека на ОФД.
    See Also:
      - Constant Field Values

  - ### CM_OFDGetInfoUrl

    public static final byte CM_OFDGetInfoUrl
    Получение адреса проверки чека на ОФД.
    See Also:
      - Constant Field Values

  - ### CM_NonFiscalFree

    public static final byte CM_NonFiscalFree
    Печать произвольного нефискального чека (для ИРАС используется как пустая команда).
    See Also:
      - Constant Field Values

  - ### CM_ReceiptFree

    public static final byte CM_ReceiptFree
    Универсальный фискальный документ (чек).
    See Also:
      - Constant Field Values

  - ### CM_NotifAutoReadStart

    public static final byte CM_NotifAutoReadStart
    Начать сессию выгрузки уведомлений или получить состояние текущей сессии (для автономного режима).
    See Also:
      - Constant Field Values

  - ### CM_NotifAutoConfirm

    public static final byte CM_NotifAutoConfirm
    Подтвердить выгрузку уведомления или получить информацию по неподтверждённым уведомлениям (для автономного режима).
    See Also:
      - Constant Field Values

  - ### CM_NotifAutoReadData

    public static final byte CM_NotifAutoReadData
    Прочитать блок данных текущего уведомления (для автономного режима).
    See Also:
      - Constant Field Values

  - ### CM_NotifAutoNext

    public static final byte CM_NotifAutoNext
    Перейти к следующему уведомлению, или получить параметры текущего уведомления (для автономного режима).
    See Also:
      - Constant Field Values

  - ### CM_FNGetRegParam

    public static final byte CM_FNGetRegParam
    Получить параметр регистрации.
    See Also:
      - Constant Field Values

  - ### CM_FNGetDoc

    public static final byte CM_FNGetDoc
    Документ по номеру из ФН.
    See Also:
      - Constant Field Values

  - ### CM_FNClose

    public static final byte CM_FNClose
    Закрытие ФН.
    See Also:
      - Constant Field Values

  - ### CM_FNGetTotal

    public static final byte CM_FNGetTotal
    Получить итоги фискализации ФН.
    See Also:
      - Constant Field Values

  - ### CM_Certification

    public static final byte CM_Certification
    Сертификация (установка серийного номера КФН).
    See Also:
      - Constant Field Values

  - ### CM_StartMonitor

    public static final byte CM_StartMonitor
    Перевод КФН в сервисный режим.
    See Also:
      - Constant Field Values

  - ### CM_CmdServiceMode

    public static final byte CM_CmdServiceMode
    Команда для выполнения сервисных команд (аналог работы из сервисного монитора).
    See Also:
      - Constant Field Values

  - ### CM_Setup

    public static final byte CM_Setup
    Установка данных настройки КФН
    See Also:
      - Constant Field Values

  - ### CM_GetParameters

    public static final byte CM_GetParameters
    Получение данных настройки КФН
    See Also:
      - Constant Field Values

  - ### CM_GetSerialNo

    public static final byte CM_GetSerialNo
    Получение заводского номера КФН
    See Also:
      - Constant Field Values

  - ### CM_GetInfo

    public static final byte CM_GetInfo
    Получение информации об контроллере ФН.
    See Also:
      - Constant Field Values

  - ### CM_CmdFNGroupBx

    public static final byte CM_CmdFNGroupBx
    Команда для поддержки ТС Пиот (доступ к командам ФН 0xB1, 0xB2, 0xB5, 0xB6).
    See Also:
      - Constant Field Values

  - ### CM_ServiceUpdateKeys

    public static final byte CM_ServiceUpdateKeys
    Сервис обновления ключей проверки в ФН.
    See Also:
      - Constant Field Values

  - ### CM_Sleep

    public static final byte CM_Sleep
    Переход в спящий режим (возврат любой командой).
    See Also:
      - Constant Field Values

  - ### CM_EJPrint

    public static final byte CM_EJPrint
    Отчета смены из электронного журнала.
    See Also:
      - Constant Field Values

  - ### CM_EJErase

    public static final byte CM_EJErase
    Очистка электронного журнала.
    See Also:
      - Constant Field Values

  - ### CM_EJReadPage

    public static final byte CM_EJReadPage
    Чтение страницы журнала.
    See Also:
      - Constant Field Values

  - ### CM_EJTimeReport

    public static final byte CM_EJTimeReport
    Отчет по времени из электронного журнала.
    See Also:
      - Constant Field Values

  - ### CM_EJNoReport

    public static final byte CM_EJNoReport
    Отчет по номерам документов из электронного журнала.
    See Also:
      - Constant Field Values

  - ### CM_EJNoDoc

    public static final byte CM_EJNoDoc
    Документ по номеру из электронного журнала.
    See Also:
      - Constant Field Values

  - ### CM_EJShiftCloseReport

    public static final byte CM_EJShiftCloseReport
    Печать "Отчёта закрытия смены" из РПКУ.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### commands

    public commands()